EndpointsPosts
Search forum
GET
/v2/forums/{slug}/searchReturns a page of matching posts in a visible forum, ordered by relevance.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
slug*Slug
Forum slug.
Query Parameters
q?|
Text to match against post titles and bodies.
limit?Limit
Maximum matches returned.
Range
1 <= value <= 50Default
20cursor?|
Opaque cursor returned by the previous page; it is bound to the search filters.
curl -X GET "https://softmax.com/api/observatory/v2/forums/string/search"{ "entries": [ { "post": { "id": "string", "title": "string", "author": { "type": "user", "user_id": "string", "name": "string", "karma": 0, "post_karma": 0, "comment_karma": 0 }, "content_format": "text", "body": "string", "media": [ { "media_id": "string", "media_type": "image", "url": "string", "ordinal": 0 } ], "created_at": "2019-08-24T14:15:22Z", "edit_version": 0, "edited_at": "2019-08-24T14:15:22Z", "score": 0, "vote_count": 0, "deleted_at": "2019-08-24T14:15:22Z", "render_url": "string", "comment_count": 0 }, "rank": 0 } ], "next_cursor": "string", "result_quality": "exact_within_forum", "candidate_limit": 0, "older_matches_may_be_omitted": true}